maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert.e...@aciworldwide.com
Subject maven-jar-plugin question
Date Sun, 02 Mar 2008 02:50:50 GMT
The following POM works as expected when run by itself (it uses 
org.apache.maven.plugins:maven-jar-plugin:2.1:jar) but when run as part of 
a multi-module build it uses 
org.apache.maven.plugins:maven-jar-plugin:2.2:jar. Does anyone have any 
suggestions as to why this happens and how I can resolve it?

The reason this is an issue is that it needs to construct an empty jar, 
which was disallowed in 2.2.

Thanks
Robert Egan

PS: I'm not allowed to put an empty file in the jar, as has previously 
been suggested. The reasons are political, not programmatic, and quite out 
of my control.

<project>
  <description>wcmDownstreamInterfaceSSOAuthentication 
WebArchive</description>
  <name>wcmDownstreamInterfaceSSOAuthentication-swar</name>
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.xxx.integration</groupId>
  <artifactId>wcmDownstreamInterfaceSSOAuthentication-swar</artifactId>
  <parent>
    <groupId>com.xxx.buildtools</groupId>
    <artifactId>swar</artifactId>
    <version>7.5.0.0</version>
  </parent>
  <properties>
    <dist.folder>${root.dir}/framework/dist</dist.folder>
  </properties>
  <build>
    <finalName>wcmDownstreamInterfaceSSOAuthentication</finalName>
    <plugins>
      <plugin>
        <groupId>com.xxx.buildtools.plugins</groupId>
        <artifactId>manifest-plugin</artifactId>
        <configuration>
          <classpath>
            <path>${manifest.plugin.classpath}</path>
            <path>framework.jar</path>
            <path>securityUtil.jar</path>
            <path>wcmArtifactManager.jar</path>
            <path>wcmCache.jar</path>
            <path>wcmDownstreamInterface.jar</path>
            <path>wcmUserMapping.jar</path>
            <path>${library.ejb.artifact}</path>
            <path>${library.ejb.framework}</path>
            <path>${library.ejb.usermapping}</path>
          </classpath>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-jar-plugin</artifactId>
        <version>2.1</version>
      </plugin>
      <plugin>
        <artifactId>maven-dependency-plugin</artifactId>
      </plugin>
    </plugins>
  </build>
</project>


This email message and any attachments may contain confidential, 
proprietary or non-public information.  The information is intended solely 
for the designated recipient(s).  If an addressing or transmission error 
has misdirected this email, please notify the sender immediately and 
destroy this email.  Any review, dissemination, use or reliance upon this 
information by unintended recipients is prohibited.  Any opinions 
expressed in this email are those of the author personally.
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message